[med-svn] [Git][med-team/python-etelemetry][master] 3 commits: Add autopkgtest shell script

Andreas Tille gitlab at salsa.debian.org
Sun Apr 5 17:09:23 BST 2020



Andreas Tille pushed to branch master at Debian Med / python-etelemetry


Commits:
6cecf1df by Sao I Kuan at 2020-04-05T22:49:05+09:00
Add autopkgtest shell script

- - - - -
47bf504a by Sao I Kuan at 2020-04-05T22:49:15+09:00
Add Testsuite: autopkgtest-pkg-python

- - - - -
3c96e3ce by Andreas Tille at 2020-04-05T16:09:21+00:00
Merge branch 'master' into 'master'

Add autopkgtest shell script

See merge request med-team/python-etelemetry!1
- - - - -


5 changed files:

- debian/changelog
- debian/control
- debian/rules
- + debian/tests/control
- + debian/tests/run-unit-test


Changes:

=====================================
debian/changelog
=====================================
@@ -1,3 +1,11 @@
+python-etelemetry (0.2.0-3) UNRELEASED; urgency=medium
+
+  * Team upload
+  * Add autopkgtest shell script
+  * Add Testsuite: autopkgtest-pkg-python
+
+ -- Sao I Kuan <sikuan at debian-hrks>  Sun, 05 Apr 2020 22:23:54 +0900
+
 python-etelemetry (0.2.0-2) unstable; urgency=medium
 
   * Upstream introduced a new dependency on ci-info which is not yet


=====================================
debian/control
=====================================
@@ -14,6 +14,7 @@ Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/med-team/python-etelemetry
 Vcs-Git: https://salsa.debian.org/med-team/python-etelemetry.git
 Homepage: https://github.com/sensein/etelemetry-client/
+Testsuite: autopkgtest-pkg-python
 
 Package: python3-etelemetry
 Architecture: all


=====================================
debian/rules
=====================================
@@ -1,6 +1,7 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=etelemetry
+export PYBUILD_TEST_PYTEST = 1
 
 # Should redirect remote access but does not help either
 # export https_proxy=http://127.0.0.1:9/


=====================================
debian/tests/control
=====================================
@@ -0,0 +1,2 @@
+Tests: run-unit-test
+Depends: @, python3-all, python3-pytest


=====================================
debian/tests/run-unit-test
=====================================
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+for py in $(py3versions -r 2> /dev/null)
+do
+    pushd etelemetry/tests
+    echo "Testing with $py in $(pwd):"
+    http_proxy="" $py -m pytest -v
+    popd
+done



View it on GitLab: https://salsa.debian.org/med-team/python-etelemetry/-/compare/21fedf50a12d794484fd70d10c8e98f4147c0222...3c96e3ce5fe311fdac844804fdfb5770053287d6

-- 
View it on GitLab: https://salsa.debian.org/med-team/python-etelemetry/-/compare/21fedf50a12d794484fd70d10c8e98f4147c0222...3c96e3ce5fe311fdac844804fdfb5770053287d6
You're receiving this email because of your account on salsa.debian.org.


-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://alioth-lists.debian.net/pipermail/debian-med-commit/attachments/20200405/1b41b0a3/attachment-0001.html>


More information about the debian-med-commit mailing list